<?php

use App\Models\HomeInfo;
use Illuminate\Database\Seeder;

class HomeInfoSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        HomeInfo::truncate();
        DB::table('home_info_index_tag')->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');

        HomeInfo::create(
            [
                'description' => 'Тук ще намерите различни гледни точки на най-сладките си спомени',
                'top_image_url' => '/storage/home/top-image-two.png',
                'top_home_text' => 'Във всяка чиния има нарисувана история',
                'middle_image_url' => '/storage/home/middle-image-two.png',
                'middle_home_text' => 'Какво е Lorem Ipsum?Lorem Ipsum е елементарен примерен текст, използван в печатарската и типографската индустрия. Lorem Ipsum е индустриален стандарт от около 1500 година, когато неизвестен печатар взема няколко печатарски букви и ги разбърква, за да напечата с тях книга с примерни шрифтове. Този начин не само е оцелял повече от 5 века, но е навлязъл и в публикуването на електронни издания като е запазен почти без промяна. Популяризиран е през 60те години на 20ти век със издаването на Letraset листи, съдържащи Lorem Ipsum пасажи, популярен е и в наши дни във софтуер за печатни издания като Aldus PageMaker, който включва различни версии на Lorem Ipsum.
Защо го използваме?
Известен факт е, че читателя обръща внимание на съдържанието, което чете, а не на оформлението му. Свойството на Lorem Ipsum е, че до голяма степен има нормално разпределение на буквите и се чете по-лесно, за разлика от нормален текст на английски език като "Това е съдържание, това е съдържание". Много системи за публикуване и редактори на Уеб страници използват Lorem Ipsum като примерен текстов модел "по подразбиране", поради което при търсене на фразата "lorem ipsum" в Интернет ще бъдат открити много сайтове в процес на разработка. Някой от тези сайтове биват променяни с времето, а други по случайност или нарочно(за забавление и пр.) биват оставяни в този си незавършен вид.',
                'logo_image_url' => '/storage/logo/logo.png',
                'recipes_count' => '6'
            ]
        );
    }
}
